JOURNAL_RECOVER(9)

NAME
journal_recover - recovers a on-disk journal

SYNOPSIS

int journal_recover(journal_t * journal);

ARGUMENTS

journal
    the journal to recover

DESCRIPTION

The primary function for recovering the log contents when mounting a journaled device.

Recovery is done in three passes. In the first pass, we look for the end of the log. In the second, we assemble the list of revoke blocks. In the third and final pass, we replay any un-revoked blocks in the log.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT